Skip to main content
POST
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request model for creating an HTTP MCP integration.

name
string
required

MCP integration name

Required string length: 3 - 255
server_uri
string
required

MCP server endpoint URL (required for http type)

description
string | null

Optional description

Maximum string length: 512
timeout
integer | null
default:30

Timeout in seconds

Required range: 1 <= x <= 300
catalog_slug
string | null

Platform MCP catalog slug this workspace config is created from

Maximum string length: 255
server_type
string
default:http
Allowed value: "http"
auth_type
enum<string>
default:NONE

Authentication type (for http type)

Available options:
OAUTH2,
CUSTOM,
NONE
oauth_integration_id
string<uuid> | null

OAuth integration ID (required for oauth2 auth_type)

custom_credentials
string<password> | null

Custom credentials as JSON headers. Required for custom auth type; optional additional headers for OAuth2 auth type.

Response

Successful Response

Response model for MCP integration.

id
string<uuid4>
required
workspace_id
string<uuid>
required
name
string
required
description
string | null
required
slug
string
required
server_type
enum<string>
required
Available options:
http,
stdio
server_uri
string | null
required
auth_type
enum<string>
required

Authentication type for MCP integrations.

Available options:
OAUTH2,
CUSTOM,
NONE
oauth_integration_id
string<uuid4> | null
required
state
enum<string>
required
Available options:
not_configured,
configured,
connected,
reauth_required,
error
stdio_command
string | null
required
stdio_args
string[] | null
required
timeout
integer | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
has_stdio_env
boolean
default:false
tools
MCPToolSummary · object[] | null